#ifndef __FS_CHECK_ERR_H__
#define __FS_CHECK_ERR_H__

/****************************************************************************
Below error codes are from e2fsck of the e2fsprogs package:
            0    - No errors
            1    - File system errors corrected
            2    - File system errors corrected, system should
                   be rebooted
            4    - File system errors left uncorrected
            8    - Operational error
            16   - Usage or syntax error
            32   - E2fsck canceled by user request
            128  - Shared library error
These codes will be mapped to the (first 8) initramfs-fs-check error codes.
****************************************************************************/

#define FSCK_NO_ERRORS			0
#define FSCK_ERRORS_CORRECTED		1
#define FSCK_ERRORS_CORRECTED_REBOOT	2
#define FSCK_ERRORS_LEFT_UNCORRECTED	3
#define FSCK_OPERATION_ERROR		4
#define FSCK_USAGE_SYNTAX_ERROR		5
#define FSCK_E2FSCK_USER_CANCELED	6
#define FSCK_E2FSCK_LIBRARY_ERRPR	7
#define FSCK_E2FSCK_UNDEFINED_ERROR	8	/* error running initramfs-fs-check */
#define FSCK_UI_MISC_ERROR		9	/* error running initramfs-fs-check */
#define	FSCK_MOUNT_POINT_FAILURE	16	/* neither /mnt/flash nor /dev/mmcblk0p9 could be mounted */
#define FSCK_IMAGE_NOT_FOUND		17	/* could not find fsck image */
#define FSCK_RAM_IMAGE_ACCESS_FAILURE	18	/* could not access fsck image at RAM disk*/
#define FSCK_MOUNT_IMAGE_FAILURE	19	/* could not mount fsck image */
#define FSCK_UNMOUNT_FAILURE		20	/* could not unmount */
#define FSCK_UI_EXECL_FAILURE		21	/* could not execl fsck UI */
#define FSCK_NOT_EXECUTED		22	/* not executed, e.g. power-button being pressed */
#define FSCK_UNDEFINED_ERROR		23	/* Undefined */

#endif /* __FS_CHECK_ERR_H__ */
